- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 8939903d-f526-4f76-9bd5-71795c6da773
    creation_time: 2023-02-17T12:11:19.597851Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/mono-crafted_10.c
      input_file_hashes:
        c/loops-crafted-1/mono-crafted_10.c: 8c5f43b3e9ff1d4598a5a525fe9e716f863331c4c517b4b8adb0491943243286
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/mono-crafted_10.c
    file_hash: 8c5f43b3e9ff1d4598a5a525fe9e716f863331c4c517b4b8adb0491943243286
    line: 11
    column: 0
    function: main
  loop_invariant:
    string: y == 10000000 &&  ( x < z && z == 5000000 || 5000000 <= x && x == z ) 
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 519f870d-589f-43dc-9c54-0f18b1df10f5
    creation_time: 2023-02-17T12:11:19.598144Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/mono-crafted_10.c
      input_file_hashes:
        c/loops-crafted-1/mono-crafted_10.c: 8c5f43b3e9ff1d4598a5a525fe9e716f863331c4c517b4b8adb0491943243286
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/mono-crafted_10.c
    file_hash: 8c5f43b3e9ff1d4598a5a525fe9e716f863331c4c517b4b8adb0491943243286
    line: 16
    column: 0
    function: main
  location_invariant:
    string: z == x
    type: assertion
    format: C

